felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carsten Ziegeler (JIRA)" <j...@apache.org>
Subject [jira] [Assigned] (FELIX-4795) Servlet API 3.x not supported
Date Tue, 31 May 2016 05:17:12 GMT

     [ https://issues.apache.org/jira/browse/FELIX-4795?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Carsten Ziegeler reassigned FELIX-4795:
---------------------------------------

    Assignee: Carsten Ziegeler

> Servlet API 3.x not supported
> -----------------------------
>
>                 Key: FELIX-4795
>                 URL: https://issues.apache.org/jira/browse/FELIX-4795
>             Project: Felix
>          Issue Type: Bug
>          Components: Web Console
>    Affects Versions: webconsole-4.2.6
>            Reporter: Tuomas Kiviaho
>            Assignee: Carsten Ziegeler
>            Priority: Blocker
>             Fix For: webconsole-4.2.16
>
>
> It seems that webconsole along it's plugins import      javax.servlet.*;version=2.4 version
only. Newest Pax Web for instance uses 3.x and thus these bundles do not resolve.
> As a solution I propose opening up the version range as per
> [http://blog.osgi.org/2014/09/portable-java-contracts-for-javax.html] 
> {code}
> Require-Capability: osgi.contract; filter:="(&(osgi.contract=JavaServlet)(version>=2.4))",
> Import-Package: javax.servlet, javax.servlet.http 
> {code}
> PS. [webconsole-4.2.6-all.jar|http://search.maven.org/#search%7Cgav%7C1%7Cg%3A%22org.apache.felix%22%20AND%20a%3A%22org.apache.felix.webconsole%22]
isn't available in the maven repo, but I assume it would have still this same "defect" as
the previous ones.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message